/*---------------------------------------------------------------------------*

  Copyright 2014 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/



#ifndef _ENV_H
#define _ENV_H

#ifdef __cplusplus
extern "C" {
#endif

//variable: the name of the environment variable to fetch
//outputBuffer: a pre-allocated buffer to store the results in
//bufferLength: the length (in bytes) of outputBuffer
void shim_GetEnv(const char *variable, char *outputBuffer, int bufferLength);
void shim_resetEnv(void);
#ifdef __cplusplus
}
#endif

#endif
